API referenceGantt
Create Dependency
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
databaseId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/databases/string/gantt/dependencies" \ -H "Content-Type: application/json" \ -d '{ "predecessorRecordId": "string", "successorRecordId": "string", "type": "FS" }'{ "data": { "id": "string", "workspaceId": "string", "databaseId": "string", "predecessorRecordId": "string", "successorRecordId": "string", "type": "FS", "lagMinutes": 0 }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}